<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Game Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classGame.html">Game</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classGame.html#a0879ea0ba66526dd5a2122907d9b9727">addPlayer</a>(const QJsonObject &amp;config)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGame.html#a4ec82bc369af3c90c76c800e3c218922">addPlayer</a>(Player &amp;p)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGame.html#ae5ee558bfb7692007efba4e5e74752d1">checkIfOver</a>()</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGame.html#a3ceca53aa9c7816b57f06b9b5db34e37">clue</a>() const</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGame.html#a515351271edfe357163363ed86ae4e69">commonPile</a>() const</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGame.html#aa9587e0a1c5e0e8afb4e3febbe11c8a7">currNarrator</a>() const</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGame.html#a3a49f22f845dd5ddd3df9c83dd5df11e">drawCards</a>()</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGame.html#a987b5442cddbc9376b7fe55a9fcbd42e">endTurn</a>()</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGame.html#af7ed914eb11b36adad78c2bd59206a07">fromJson</a>(const QJsonObject &amp;o)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGame.html#ad59df6562a58a614fda24622d3715b65">Game</a>()</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGame.html#ac28e4514efb0379adc99bbf1e4e1997b">gameID</a>() const</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGame.html#a6a9fe4953f94562d5d6d2aae75935a46">gamePhase</a>() const</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGame.html#af8450dc8e6a7c458fd9bd36c888243f0">initializeGame</a>(const QJsonObject &amp;config)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGame.html#a97055de6b4d8160d1aba45bc286aaddc">m_chat</a></td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGame.html#acb2c9f4602b63c6bfd7796c5c13bdf18">m_choiceCounter</a></td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGame.html#af4337a226b47598d3a7ee9639fbd737d">m_clue</a></td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGame.html#a97320237fdffa99b9734b61e4de2c50c">m_commonPile</a></td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGame.html#a0a9d5bb8c9144d14d9c2b23050f3e900">m_currNarrator</a></td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGame.html#aabdd4d5028074dc3aaa6cee3d79c272f">m_currNarratorId</a></td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGame.html#a7aa9ffce0fda4d86900bb2c283d68cf4">m_deck</a></td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGame.html#a03b6365f7e77ced75459196b95acde0c">m_gameID</a></td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGame.html#a57e9942a644eeba38957f2c9367e68d0">m_gamePhase</a></td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGame.html#ab2dd3826bf4ba0d7278dfd1f826df8a9">m_hostId</a></td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGame.html#a93c4fd298263ddf4cbe17066f7c8a940">m_idToPlayer</a></td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGame.html#a60848e4cd251d60df45a4c556f4a8477">m_isGameStarted</a></td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGame.html#a74dd88f380dfe9edb99c25856957746f">m_isOver</a></td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGame.html#a7926ea5b357aa57afaf1d1b274aad402">m_maxPlayers</a></td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGame.html#a73b428da4f258e3f27fc041797a74980">m_narratorCard</a></td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGame.html#aa4f00650a49bd784bfd8221f8a4fb473">m_players</a></td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGame.html#a0bbf15081ffb0742597ecf1638d4a811">m_prevNarratorCard</a></td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGame.html#a8c08b61fe342f31025615c2b7371deae">m_voteCounter</a></td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGame.html#ae2e30ed3430cdcfc4fe0ca8cbc17c732">m_votes</a></td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGame.html#ac6eb99acf1dbf29beddd2efdb30ca6c0">maxPlayers</a>() const</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGame.html#aeb7a4244a7f4100fdbcffcaef0324c42">narratorCard</a>() const</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGame.html#accbaf77d64f3ccf581153aff8faaf5b0">narratorChoice</a>(int cardId, const std::string &amp;clue)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGame.html#a15a6bae5f92a346c16deb6a5076898d9">notify</a>(std::string info)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGame.html#a3adaecee5a5ff4caa723a89bb2f861df">notifyPlayers</a>()</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGame.html#ad04ded59da6b52a0c5c29403a8abaaab">numOfPlayers</a>() const</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGame.html#a1d41d77fc4fa2cf4519a9f4142b96ab9">playerChoice</a>(int playerId, int cardId)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGame.html#ae35bdf620923ae041bfe63e06c13b69b">players</a>() const</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGame.html#ae3c5f445a0b28b57542e10a3e4d1565c">playerVote</a>(int voteFromId, int cardId)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGame.html#a5088218506361da372f8333034c79a2c">removePlayer</a>(const QJsonObject &amp;config)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGame.html#afaf67d9df43b01a47b0d577377edb8cf">setGameId</a>(int newId)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGame.html#a8eb0a092d23b426a8b4b03c4083b7afe">shuffleDeck</a>()</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGame.html#ae8638ccdb0ef3bf39a6affa30aa1258f">startGame</a>()</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGame.html#a52cf1826f066a223e44f3c00ac13bc05">toJson</a>()</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGame.html#ae70cdf0ec3352debb3f98ca127e55151">toJsonString</a>()</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGame.html#a2ad48f77e98b18d96d8b5ea63cfa81b5">updatePoints</a>()</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGame.html#ab385cc5897dcc650ed16ee8b310a19c2">votes</a>()</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
